Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorTurnAroundPointWithRadius Class Reference

A Basic Behavior for going turning around a point on the field. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorTurnAroundPointWithRadius:

[legend]
Collaboration diagram for GT2005BasicBehaviorTurnAroundPointWithRadius:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorTurnAroundPointWithRadius (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Protected Attributes
double | x
| parameter "turn-around-point.x"
double | y
| parameter "turn-around-point.y"
double | radius
| parameter "turn-around-point.radius"
double | leftRight
| parameter "go-to-point.left-right"
double | forwardComponent
| parameter "go-to-point.forward-component"

## Detailed Description

A Basic Behavior for going turning around a point on the field.

Author:
  Jan Hoffmann

Definition at line 603 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorTurnAroundPointWithRadius::GT2005BasicBehaviorTurnAroundPointWithRadius | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 611 of file GT2005SimpleBasicBehaviors.h. References point, and Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorTurnAroundPointWithRadius::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 630 of file GT2005SimpleBasicBehaviors.cpp. References Geometry::angleTo(), Geometry::distanceTo(), fromDegrees(), RobotPose::getPose(), MotionRequest::motionType, pi, Range< T >::Range(), Pose2D::rotation, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, and Vector2< V >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorTurnAroundPointWithRadius::x`[protected]`

| parameter "turn-around-point.x" Definition at line 628 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorTurnAroundPointWithRadius::y`[protected]`

| parameter "turn-around-point.y" Definition at line 631 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorTurnAroundPointWithRadius::radius`[protected]`

| parameter "turn-around-point.radius" Definition at line 634 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorTurnAroundPointWithRadius::leftRight`[protected]`

| parameter "go-to-point.left-right" Definition at line 637 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorTurnAroundPointWithRadius::forwardComponent`[protected]`

| parameter "go-to-point.forward-component" Definition at line 640 of file GT2005SimpleBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp